Create a firewall group

Authentication

AuthorizationBearer

IBEE platform API token. Production tokens start with ibee_prod_key_; development tokens start with ibee_dev_key_. Use a token only with its matching gateway environment.

Query parameters

workspace_idstringRequiredformat: "^[1-9][0-9]*$">=1 character

The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected.

Request

This endpoint expects an object.
namestringRequired1-120 characters
descriptionstring or nullOptional
is_defaultbooleanOptionalDefaults to false

Response

Firewall group created successfully.
firewall_group_idstring
organization_idstring
workspace_idstring
namestring
is_defaultboolean
statusstring
ruleslist of objects
created_atdatetime
updated_atdatetime
workspace_namestringOptional
descriptionstring or nullOptional
linked_instance_countintegerOptional>=0

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error